#ifndef XENTRRYINTERNALDATA_H
#define XENTRRYINTERNALDATA_H

#include "xasset.h"
#include "xoperand.h"
#include "xmenuenums.h"

class XEntryInternalData : public XAsset
{
public:
    explicit XEntryInternalData();
    ~XEntryInternalData() = default;

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    XOperationEnum mOp;
    XOperand mOperand;
};

#endif // XENTRRYINTERNALDATA_H
